# Summary

## Usage
- [Getting started](docs/usage/getting-started.md#getting-started)
- [Installation](docs/usage/installation.md#installation)
- [CI Configuration](docs/usage/ci-configuration.md#ci-configuration)
- [Configuration](docs/usage/configuration.md#configuration)
- [Plugins](docs/usage/plugins.md)
- [Workflow configuration](docs/usage/workflow-configuration.md)
- [Shareable configurations](docs/usage/shareable-configurations.md)

## Extending
- [Plugins](docs/extending/plugins-list.md)
- [Shareable configuration](docs/extending/shareable-configurations-list.md)

## Recipes
- [CI configurations](docs/recipes/README.md#ci-configurations)
  - [CircleCI 2.0](docs/recipes/circleci-workflows.md)
  - [Travis CI](docs/recipes/travis.md)
  - [GitLab CI](docs/recipes/gitlab-ci.md)
  - [GitHub Actions](docs/recipes/github-actions.md)
  - [Jenkins CI](docs/recipes/jenkins-ci.md)
- [Git hosted services](docs/recipes/README.md#git-hosted-services)
  - [Git authentication with SSH keys](docs/recipes/git-auth-ssh-keys.md)
- [Release Workflow](docs/recipes/README.md#release-workflow)
  - [Publishing on distribution channels](docs/recipes/distribution-channels.md)
  - [Publishing maintenance releases](docs/recipes/maintenance-releases.md)
  - [Publishing pre-releases](docs/recipes/pre-releases.md)

## Developer guide
- [JavaScript API](docs/developer-guide/js-api.md)
- [Plugin development](docs/developer-guide/plugin.md)
- [Shareable configuration development](docs/developer-guide/shareable-configuration.md)

## Support
- [Resources](docs/support/resources.md)
- [Frequently Asked Questions](docs/support/FAQ.md)
- [Troubleshooting](docs/support/troubleshooting.md)
- [Node version requirement](docs/support/node-version.md)
- [Node Support Policy](docs/support/node-support-policy.md)
- [Git version requirement](docs/support/git-version.md)
